#include "Fraccion.h"
#include <iostream>

Fraccion::Fraccion(entero numerador, entero denominador)
	: numerador(numerador)
	, denominador(denominador)
{
}

Fraccion::~Fraccion()
{
}

std::ostream& operator<<(std::ostream& salida, const Fraccion& fraccion)
{
	return salida << fraccion.numerador << '/' << fraccion.denominador;
}

std::istream& operator>>(std::istream& entrada, Fraccion& fraccion)
{
	entrada >> fraccion.numerador;
	entrada.ignore();
	entrada >> fraccion.denominador;
	return entrada;
}

Fraccion operator+(const Fraccion& a, const Fraccion &b)
{
	return Fraccion(a.numerador * b.denominador + a.denominador * b.numerador
		, a.denominador * b.denominador);
}
